For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
    • Introduction
  • SAML (Enterprise SSO)
    • SAML Quickstart
    • SAML: A technical primer
    • Integrating SAML with your Login UI
    • Handling SAML Logins + JIT Provisioning
  • SCIM (Enterprise Directory Sync)
    • SCIM Quickstart
  • SDKs
    • TypeScript SDK
    • Python SDK
    • Go SDK
    • Java SDK
    • C# SDK
    • Ruby SDK
    • PHP SDK
  • SAML-over-OAuth
    • SAML over OAuth (SAML NextAuth.js integration)
    • SAML for Firebase
  • IDP configuration
    • Enabling self-service configuration for your customers
  • SSOReady concepts
    • Overview
    • Environments
    • Organizations
    • SAML Connections
    • SAML Login Flows
    • SCIM Directories
    • SCIM Users
    • SCIM Groups
    • SCIM Request Logs
  • Management API
    • Management API
  • DummyIDP
    • Testing SAML/SCIM with DummyIDP
  • Self-Hosting
    • Self-Hosting SSOReady
  • API Reference
        • GETList Organizations
        • POSTCreate Organization
        • GETGet Organization
        • PATCHUpdate Organization
Login
Logo
API ReferenceManagement APIOrganizations

Create Organization

POST
https://api.ssoready.com/v1/organizations
POST
/v1/organizations
$curl -X POST https://api.ssoready.com/v1/organizations \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Successful
1{
2 "organization": {
3 "id": "id",
4 "environmentId": "environmentId",
5 "displayName": "displayName",
6 "externalId": "externalId",
7 "domains": [
8 "domains"
9 ]
10 }
11}
Creates an organization.
Was this page helpful?
Previous

Get Organization

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
idstringOptional
Unique identifier for this organization.
environmentIdstringOptional
The environment this organization belongs to.
displayNamestringOptional

An optional human-friendly name for this organization.

externalIdstringOptional
An identifier you can attach to an organization. Meant to be used to correlate an SSOReady organization to your internal equivalent concept. External IDs are unique within an environment. No two organizations in the same environment can have the same external ID.
domainslist of stringsOptional

A list of domains that users from this organization use.

SAML connections and SCIM directories within this organization will only produce users whose email are included in domains. SSOReady will reject SAML and SCIM users that do not fall within domains.

Response

OK
organizationobject
The created organization.